var Wtime=0
var Mtime=60
function Ntrdy(){
n=!window.frames['mF'].document.all['a1'];
if(!n)n=window.frames['mF'].document.all['a1'].value.length>0;
return(n);
}
function DoP(m,n,o){
if(o==0) alert("ارتباط با سرور قطع شده است. امكان ارسال اطلاعات وجود ندارد!‏");
else alert("پاسخي از سرور دريافت نشد. ارتباط با سرور قطع است!‏");
Wtime=0;
DoE("R"+n, 1, "");
DoE("RN"+n, 1, "hidden");
}
function Drdy(m,n){
if(Wtime<Mtime){
t=setTimeout(m,1000);
Wtime++;
}else{
DoP(m,n,0)
}}
function Drty(n){
m=document.all("RNT"+n).title;
if(m.length>0){
m=m-0
if(m<Mtime){
DoE("RNT"+n, 7, m-0+1);
k=setTimeout('Drty('+n+')',1000);
}else{
DoP("R",n,1)
}}}
function DoRate(Ncod,Wht){
DoE("R"+Ncod, 1, "hidden");
DoE("RN"+Ncod, 1, "");
DoE("RNT"+Ncod, 2, "در حال ثبت ...‏");
if(Ntrdy()){Drdy('DoRate('+Ncod+','+Wht+')',Ncod);return;}else Wtime=0;
DoA("a1", "1");
DoA("a2", Ncod);
DoA("a3", Wht);
DoS();
DoE("RNT"+Ncod, 7, "0");
k=setTimeout('Drty('+Ncod+')',1000);
}
function Delit(Ncod){
DoE("R"+Ncod, 1, "hidden");
DoE("RN"+Ncod, 1, "");
DoE("RNT"+Ncod, 2, "در حال ثبت ...‏");
if(Ntrdy()){Drdy('Delit('+Ncod+')',Ncod);return;}else Wtime=0;
DoA("a1", "2");
DoA("a2", Ncod);
DoS();
DoE("RNT"+Ncod, 7, "0");
k=setTimeout('Drty('+Ncod+')',1000);
}
function Retit(Ncod){
DoE("R"+Ncod, 1, "hidden");
DoE("RN"+Ncod, 1, "");
DoE("RNT"+Ncod, 2, "در حال ثبت ...‏");
if(Ntrdy()){Drdy('Retit('+Ncod+')',Ncod);return;}else Wtime=0;
DoA("a1", "3");
DoA("a2", Ncod);
DoS();
DoE("RNT"+Ncod, 7, "0");
k=setTimeout('Drty('+Ncod+')',1000);
}
function AddMe(){
document.all['Ncont'].value = document.all['Ncont'].value - 0 + 1;
}
function DelMe(){
document.all['Ncont'].value = document.all['Ncont'].value - 1;
if(document.all['Ncont'].value==0) window.location = window.location;;
}
